[youtubei.js](../../../../README.md) / [Parser](../README.md) / parseCommands

# Function: parseCommands()

> **parseCommands**(`commands?`): [`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`YTNode`](../../Helpers/classes/YTNode.md)\>

Defined in: [src/parser/parser.ts:699](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/parser.ts#L699)

Parses an array of InnerTube command nodes.

## Parameters

### commands?

[`RawNode`](../../../../type-aliases/RawNode.md)[]

Array of raw command nodes to parse

## Returns

[`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`YTNode`](../../Helpers/classes/YTNode.md)\>

An observed array of parsed YTNodes
